#INT_TIMER1
void t1_overflow()
{
   bigTime++;
}

void waitforgo()
{
   while(input(GO_BUTTON) == 1)
   {
   }
   delay_ms(1);
}

void rotate(signed int32 degrees)
{
   signed int32 motion;
   motion = (signed int32) ((signed int32) 308*(signed int32) degrees);
   motion /= 10;
   
   mc_set_rel_pos(MCLEFT_ADR, (signed int32)  -motion);
   mc_set_rel_pos(MCRIGHT_ADR, (signed int32)  motion);
   
   command_go();
   wait_for_drive_motors();
}

void translate(signed int32 millimeters)
{
   signed int32 motion;
   motion = (signed int32) ((signed int32) 126 * (signed int32) millimeters);
   
   mc_set_rel_pos(MCLEFT_ADR, (signed int32)  motion);
   mc_set_rel_pos(MCRIGHT_ADR, (signed int32) motion);
   
   command_go();

   wait_for_drive_motors();

}



int8 motion_completed()
{
   int8 tstatus = 3;
   if (mc_is_done(MCRIGHT_ADR)==1)
   {
      tstatus = 2;
   }
   if (mc_is_done(MCLEFT_ADR)==1)
   {
      tstatus -= 2;
   }
   return tstatus;
}

void wait_for_drive_motors()
{
   do
   {
      motors_rdy = motion_completed();
      delay_ms(10);
   } while (motors_rdy != 0);
   delay_ms(10);
}
