void initializemain()
{
   // Let everything boot
   delay_ms(1000);

   // Reset Drive Motor Positions
   mc_resetpos(MCLEFT_ADR);
   mc_resetpos(MCRIGHT_ADR);
   command_go();
   
   // Set Max Velocity (Drive Motors)
   mc_set_vel(MCLEFT_ADR,  (signed int32) 40);
   mc_set_vel(MCRIGHT_ADR, (signed int32) 40);
   command_go();
   
   // Set Max Acceleration (Drive Motors)
   mc_set_acc_post(MCLEFT_ADR, (signed int32) 50);
   mc_set_acc_post(MCRIGHT_ADR, (signed int32) 50);
   command_go();
}
